Subject: New Reply Received - Iam very disappointed with the return n refund system! I returned my item for almost 8 months now, b...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 28 Aug 2020 04:44:16 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  The customer has responded to the ticket.  Iam very disappointed with the return n refund system! I returned my item for almost 8 months now, b...  Ticket comment <div>Centrepoint  سنتربوينت Why u asking the Bank details here? The Customer Service usually asking the bank details through email!!! And I already sent all the details but nothing happens</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1429562